#include "DejaVu.h"
#include "Net/UnrealNetwork.h"

void UDejaVu::OnRep_RevealedGenerators()
{

}

float UDejaVu::GetActionSpeedsAtLevel() const
{
	return 0.0f;
}

void UDejaVu::Authority_SetNewGeneratorsToReveal()
{

}

void UDejaVu::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UDejaVu, _revealedGenerators);
}

UDejaVu::UDejaVu()
{
	this->_generatorsToRevealCount = 3;
	this->_actionSpeeds = 0.000000;
}
